Bug 47061 - Change Obsoletes: zebra to Conflicts; add zebra
Change Obsoletes: zebra to Conflicts; add zebra
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: gated (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-02 16:51 EDT by Pekka Savola
Modified: 2007-04-18 12:34 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 13:02:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2001-07-02 16:51:44 EDT
Please change Obsoletes: zebra to Conflicts if it's intended to have only one of these
installed.

As it is, zebra is Free and better (I think) for some uses, and it shouldn't just be 
silently removed.

It would also be nice to have zebra in the next release as an alternative to gated.
Comment 1 Curtis Doty 2002-08-02 13:20:12 EDT
In limbo 7.3.93...the rhn gives presidence to gated. So if you install zebra, 
it will try and "upgrade" to gated, thus removing zebra.
Comment 2 Ben Levenson 2002-10-18 18:17:00 EDT
this is starting to get ugly with up2date:
# up2date-nox -l

Fetching package list for channel: redhat-linux-i386-7.2...
########################################

Fetching Obsoletes list for channel: redhat-linux-i386-7.2...
########################################

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
zebra                                   0.91a          6

The following Packages are obsoleted by newer packages:

Name-Version-Release        obsoleted by      Name-Version-Release
-------------------------------------------------------------------------------
gated-3.6-12                            zebra-0.91a-6

... and just the opposite happens when zebra is installed (it tries to upgrade
to gated). This issue occurs on 7.2 as well.
Comment 3 Ben Levenson 2002-10-18 18:17:47 EDT
(adding myself to Cc:)
Comment 4 Curtis Doty 2002-10-25 03:18:13 EDT
Something changed today in the RHN backend. Prob went away again for me.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=75794
Comment 5 Bill Nottingham 2006-08-07 15:43:52 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 6 Bill Nottingham 2006-10-18 13:02:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.